
// Header file for module pcxshow.c


#define VGA256              0x13  // 320x200x256
#define TEXT_MODE           0x03  // 80x25 text mode

#define PALETTE_MASK        0x3C6 // the bit mask register
#define PALETTE_REGISTER_RD 0x3C7 // set read index at this I/O
#define PALETTE_REGISTER_WR 0x3C8 // set write index at this I/O
#define PALETTE_DATA        0x3C9 // the R/W data is here
#define SCREEN_WIDTH      (unsigned int)320 // mode 13h screen dimensions
#define SCREEN_HEIGHT     (unsigned int)200

/////////////Structures
////////////////////////////////////////////////////////////////

	typedef struct RGB_color_typ
		  {

		  unsigned char red;    // red   component of color 0-63
		  unsigned char green;  // green component of color 0-63
		  unsigned char blue;   // blue  component of color 0-63

		  } RGB_color, *RGB_color_ptr;

	typedef struct pcx_header_typ
		  {
		  char manufacturer;
		  char version;
		  char encoding;
		  char bits_per_pixel;
		  int x,y;
		  int width,height;
		  int horz_res;
		  int vert_res;
		  char ega_palette[48];
		  char reserved;
		  char num_color_planes;
		  int bytes_per_line;
		  int palette_type;
		  char padding[58];

		  } pcx_header, *pcx_header_ptr;


	typedef struct pcx_picture_typ
		  {
		  pcx_header header;
		  RGB_color palette[256];
		  char far *buffer;

		  } pcx_picture, *pcx_picture_ptr;


	void Set_Palette_Register(int index, RGB_color_ptr color);

	void Get_Palette_Register(int index, RGB_color_ptr color);

	void Plot_Pixel(int x,int y,unsigned char color);

	void Set_Video_Mode(int mode);

	void PCX_Init(pcx_picture_ptr image);

	void PCX_Load(char *filename, pcx_picture_ptr image,int enable_palette);

	void PCX_Delete(pcx_picture_ptr image);

	void PCX_Show_Buffer(pcx_picture_ptr image);

/////////////EOF
////////////////////////////////////////////////////////////////

