/*
 * tcpip.cc
 * Copyright (c) 1995 Shigekazu Inohara
 * All rights reserved.
 */
/*
 * class tcpip
 *
 * Make a TCP/IP connection.  No additional features.
 */

#ifndef TCPIP_H
#define TCPIP_H
#pragma interface

#include "common_types.h"

typedef int		socket_t;	// file descriptor for socket.
typedef unsigned short	port_t;		// TCP/IP port number

class tcpip;
typedef tcpip *tcpip_t;

class tcpip {
public:
    kern_return_t	kr;
    socket_t		tcpip_socket;	// allow public access to fd

    tcpip(void);
    ~tcpip(void);

    kern_return_t	create_server_port(port_t port);
    kern_return_t	create_client_port(char *hostname, port_t port);
    kern_return_t	establish_connection(tcpip_t clientp);
};

#endif /* TCPIP_H */

