
// THVGA.H -- Thrillhaus VGA Packet by Matt Gulden (Folter)
// This file originated at
// http://www.thrillhaus.com/
// It is public domain and may be modified and/or redistributed.

#include<dos.h>

void scrnmode(int modenr);
void pixel(int x, int y, int color);
void palette(int a, int r, int g, int b);
int point(int x, int y);
void wait_for_retrace(void);

void scrnmode(int modenr)
{
  asm
    {
    mov ax, modenr
    int 0x10
    }
}

void pixel(int x, int y, int color)
{
  if(x>-1 && y>-1 && x<320 && y<200) poke(0xa000, (y<<8)+(y<<6)+x, color);
}

void palette(int a, int r, int g, int b)
{
  outportb(0x3C8, a);
  outportb(0x3C9, r);
  outportb(0x3C9, g);
  outportb(0x3C9, b);
}

int point(int x, int y)
{
  if(x>-1 && y>-1 && x<320 && y<200)return peek(0xa000, (y<<8)+(y<<6)+x);
  else return 0;
}

void wait_for_retrace(void)
{
  while  ((inp(0x03da) & 0x08));
  while (!(inp(0x03da) & 0x08));
}
